#ifndef ATM168_H_
#define ATM168_H_

//Hardware IO defs, I like doing direct bit operations.
typedef union port_b
{
	unsigned char value;
	struct 
	{
		unsigned char b0:1;
		unsigned char b1:1;
		unsigned char b2:1;
		unsigned char b3:1;
		unsigned char b4:1;
		unsigned char b5:1;
		unsigned char b6:1;
		unsigned char b7:1;
	};
} port_b;
#define PORTBbits (*((volatile port_b *)(&PORTB)))

typedef union port_c
{
	unsigned char value;						//whole 8 bits
	struct
	{
		unsigned char b0:1;						//Generic bits
		unsigned char b1:1;
		unsigned char b2:1;
		unsigned char b3:1;
		unsigned char b4:1;
		unsigned char b5:1;
		unsigned char b6:1;
		unsigned char b7:1;		
	};
} port_c;
#define PORTCbits (*((volatile port_c *)(&PORTC)))
#define PINCbits (*((volatile port_c *)(&PINC)))

typedef union port_d
{
	unsigned char value;						//whole 8 bits
	struct 
	{
		unsigned char b0:1;						//Generic bits
		unsigned char b1:1;
		unsigned char b2:1;
		unsigned char b3:1;
		unsigned char b4:1;
		unsigned char b5:1;
		unsigned char b6:1;
		unsigned char b7:1;		
	};
} port_d;
#define PORTDbits (*((volatile port_d *)(&PORTD)))

//Function prototypes
void initialize();
void waitms(int d);
void sendSPI(char addr,char cmd,unsigned int data);	//Send an SPI command out
unsigned int getSPI(char addr, char cmd);			//get an SPI data packet

#endif /*ATM168_H_*/
